APM(1)

NAME
apm - interface with the APM subsystem

SYNOPSIS
apm [ -VvmMsSdin ]

DESCRIPTION
This command requires the Advanced Power Management subsystem. If run without arguments it reads /proc/apm and presents the output in a human-readable format.

Given a -S or -s option it requests that the machine be put into the APM standby or the APM suspend state, respectively. For a brief description of these states, see apmd(8).

OPTIONS

-V, --version
    Print the version of the program and exit.

-v, --verbose
    Also print version information for the APM subsystem. The APM subsystem consists of power-management hardware, firmware usually referred to as the APM BIOS and a driver in the operating system kernel.

-m, --minutes
    Print the time remaining as a number of minutes. The default is to print the time remaining in "hours:minutes" format.

-M, --monitor
    Continuously monitor and update the status information. Assumes that the standard output is a terminal.

-S, --standby
    Request that the machine be put into the APM standby state.

-s, --suspend
    Request that the machine be put into the APM suspend state.

-d, --debug
    Print APM status information in a format more useful for debugging. Implies -v.

FILES
/proc/apm

AUTHOR
This program was written by Rik Faith (faith@cs.unc.edu) and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARRANTY for this program. The current maintainer is Avery Pennarun (apenwarr@worldvisions.ca).

SEE ALSO
xapm(1), apmd(8).